Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 445708 - Review Request: RaptorMenu - Alternate menu for KDE 4.x
Summary: Review Request: RaptorMenu - Alternate menu for KDE 4.x
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: Qt44
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-08 17:28 UTC by Steven M. Parrish
Modified: 2008-08-12 12:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-09 22:32:50 UTC


Attachments (Terms of Use)

Description Steven M. Parrish 2008-05-08 17:28:59 UTC
Spec URL: http://www.mediafire.com/?wmjimmnzpob
SRPM URL: http://www.mediafire.com/?ztnkbrtwhad
Description:Raptor aims to deliver a new kind of launch menu system for KDE. It is designed with usability and beauty in mind.
Raptor-Menu does not try to be the final answer to the menu question, instead aspires to be the best answer we can give, merging many ideas form modern desktop launch menus.

Project website: http://raptor-menu.org

Right now builds for dist-f10.  Since it requires QT4.4 will not currently build for F9 since it has QT4.3, however QT4.4 is a pending update for F9.

Build logs: http://koji.fedoraproject.org/koji/taskinfo?taskID=600835

Comment 1 Kevin Kofler 2008-05-18 21:07:34 UTC
Shouldn't this depend on KDE41 rather than Qt44? Or does this build against the 
old Plasma in KDE 4.0?

Comment 2 Steven M. Parrish 2008-05-19 01:31:57 UTC
These are the requirements from their website
#  KDE4 Development Packages , which includes kdebase and kdelibs version 4.
# Qt 4.4 or Later 

It successfully built with dist-f10 are the target which I know has qt4.4
already should build against the existing plasma,  As soon as 4.4 makes it into
F9 will be building packages for that dist as well

Comment 3 Kevin Kofler 2008-05-25 05:42:41 UTC
Looks like the reason this doesn't need KDE 4.1 is that this is a pre-alpha 
version which has no Plasma integration at all. Is this really worth packaging?

Comment 4 Steven M. Parrish 2008-05-27 14:51:44 UTC
Once plasma is stable and has support for plugings.  Once upstream has plugin
loading working it will be a plasma-applet

Comment 5 Steven M. Parrish 2008-08-09 22:32:50 UTC
Closing this review request until upstream gets some issues resolved.


Note You need to log in before you can comment on or make changes to this bug.